/*****************************************************************************
 ** ANGRYBIRDS AI AGENT FRAMEWORK
 ** Copyright (c) 2015, XiaoYu (Gary) Ge, Jochen Renz,Stephen Gould,
 **  Sahan Abeyasinghe,Jim Keys, Rohan Verma, Andrew Wang, Peng Zhang
 ** All rights reserved.
**This work is licensed under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
**To view a copy of this license, visit http://www.gnu.org/licenses/
 *****************************************************************************/

package benchmark;

import java.io.Serializable;


public class RunLog  implements Serializable{
/**
	 * 
	 */
	private static final long serialVersionUID = 241690285229173243L;
private long start_time = 0l;
private long end_time = 0l;
private int level = 0;
private static  int counter = 0;
private int id;
public int getId() {
	return id;
}

private int score;

public RunLog(){
	counter++;
	id = counter;
}

public long getStart_time() {
	return start_time;
}
public void setStart_time(long start_time) {
	this.start_time = start_time;
}
public long getEnd_time() {
	return end_time;
}
public void setEnd_time(long end_time) {
	this.end_time = end_time;
}
public int getTime_used() {
	int time =  ((Long)(end_time - start_time)).intValue()/1000;
	System.out.println("start " + start_time + "end " + end_time +" used time:  " + time);
	return time;
}

public int getLevel() {
	return level;
}

public void setLevel(int level) {
	this.level = level;
}

public int getScore() {
	return score;
}
public void setScore(int score) {
	this.score = score;
}
@Override
public String toString()
{
	String result = "";
	String status = (score == 0) ? "Failed": score+"";
	result += "Log id :  " + id  + "\n" + "level:  " + level + "\n"+"used_time  " + getTime_used()+"s" + "\n" + "score   " + status +"\n";
	
	
	
     return	result;
}

public void run() {
		this.start_time = System.currentTimeMillis();
	}
public void end()
{
     this.end_time = 	System.currentTimeMillis();
}

}
